cascading.flow.planner.iso.transformer

## Class InsertionGraphTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<E,E>
  - - cascading.flow.planner.iso.transformer.RecursiveGraphTransformer<ElementGraph>
    - - cascading.flow.planner.iso.transformer.MutateGraphTransformer
      - - cascading.flow.planner.iso.transformer.InsertionGraphTransformer

-     public class InsertionGraphTransformer
      extends MutateGraphTransformer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InsertionGraphTransformer.Insertion`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.iso.transformer.MutateGraphTransformer

      `graphTransformer`

    - ### Fields inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

      `DEFAULT_TRANSFORM_RECURSION_DEPTH_MAX, TRANSFORM_RECURSION_DEPTH_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertionGraphTransformer(ExpressionGraph expressionGraph, ElementCapture capture, String factoryName)`
    `InsertionGraphTransformer(ExpressionGraph expressionGraph, ElementCapture capture, String factoryName, InsertionGraphTransformer.Insertion insertion)`
    `InsertionGraphTransformer(ExpressionGraph expressionGraph, String factoryName)`
    `InsertionGraphTransformer(ExpressionGraph expressionGraph, String factoryName, InsertionGraphTransformer.Insertion insertion)`
    `InsertionGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph filter, ElementCapture capture, String factoryName)`
    `InsertionGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph filter, ElementCapture capture, String factoryName, InsertionGraphTransformer.Insertion insertion)`
    `InsertionGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph filter, String factoryName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `transformGraphInPlaceUsing(Transformed<ElementGraph> transformed, ElementGraph graph, Match match)`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.MutateGraphTransformer

      `prepareForMatch, requiresRecursiveSearch`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

      `addExclusions, transform, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(ExpressionGraph expressionGraph,
                                   String factoryName)

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(ExpressionGraph expressionGraph,
                                   String factoryName,
                                   InsertionGraphTransformer.Insertion insertion)

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(ExpressionGraph expressionGraph,
                                   ElementCapture capture,
                                   String factoryName)

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(ExpressionGraph expressionGraph,
                                   ElementCapture capture,
                                   String factoryName,
                                   InsertionGraphTransformer.Insertion insertion)

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(GraphTransformer graphTransformer,
                                   ExpressionGraph filter,
                                   String factoryName)

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(GraphTransformer graphTransformer,
                                   ExpressionGraph filter,
                                   ElementCapture capture,
                                   String factoryName)

    - #### InsertionGraphTransformer

          public InsertionGraphTransformer(GraphTransformer graphTransformer,
                                   ExpressionGraph filter,
                                   ElementCapture capture,
                                   String factoryName,
                                   InsertionGraphTransformer.Insertion insertion)

  - ### Method Detail

    - #### transformGraphInPlaceUsing

          protected boolean transformGraphInPlaceUsing(Transformed<ElementGraph> transformed,
                                           ElementGraph graph,
                                           Match match)

      Specified by:
        `transformGraphInPlaceUsing` in class `RecursiveGraphTransformer<ElementGraph>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.